[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'DBGrids' (#lcl)

# TDbGridSelEditorEvent

Specifies an event handler used to select a cell editor in a database grid.

## Declaration

Source position: dbgrids.pas line 110

`type TDbGridSelEditorEvent = procedure(`
`Sender: TObject;`
`Column: TColumn;`
`var Editor: TWinControl`
`) of object;`

## Arguments

`Sender` |  | Control signalling the event.
`Column` |  | Column for the control.
`Editor` |  | Editor for the specified column.

## Description

TDbGridSelEditorEvent specifies an event handler used to select an editor for a cell in a database grid.

## See also

TDBGrid.OnSelectEditor |  | Event handler signalled when the editor is selected for a Field in the grid.
TCustomDBGrid.SelectEditor |  | Gets the editor used for the SelectedField in the control.